Subject: Re: bug#1849: Windows 7 Taskbar Support

From: Jason Rumney <[email-masked]>
Date: Sun, 11 Jan 2009 22:21:22 +0800

severity 1849 wishlist
thanks

Michael Kleehammer wrote:
> I think it would be simple to compile the program as a GUI program but have the
> -nw flag allocate a console when needed.
>   

I had already considered this approach to offer limited multi-tty 
functionality on Windows (limited because Windows limits programs to one 
console at a time). I think it is the right way to deal with this, but 
I'm not sure that I agree with your claim that it would be simple (you 
can't just open any console for -nw, it has to follow the same behavior 
as a program that is compiled as a console program).